## Gtk2-Ex-ComboBoxBits-32.tar.gz

=== devel/Makefile ===
# Copyright 2011 Kevin Ryde

# This file is part of Gtk2-Ex-ComboBoxBits.
#
# Gtk2-Ex-ComboBoxBits is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as published
# by the Free Software Foundation; either version 3, or (at your option) any
# later version.
#
# Gtk2-Ex-ComboBoxBits is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.
#
# You should have received a copy of the GNU General Public License along
# with Gtk2-Ex-ComboBoxBits.  If not, see <http://www.gnu.org/licenses/>.

toolbutton-overflow-leak: toolbutton-overflow-leak.c Makefile
	gcc -Wall -g `pkg-config --cflags glib-2.0 gtk+-2.0` toolbutton-overflow-leak.c \
	   `pkg-config --libs glib-2.0 gtk+-2.0` -o toolbutton-overflow-leak

=== debian/changelog ===
libgtk2-ex-comboboxbits-perl (32-1) unstable; urgency=low

  * Packaged version.

 -- Kevin Ryde <user42@zip.com.au>  Fri, 20 May 2011 06:43:14 +1000

=== debian/control ===
# Copyright 2010, 2011 Kevin Ryde
# 
# This file is part of Gtk2-Ex-ComboBoxBits.
# 
# Gtk2-Ex-ComboBoxBits is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 3, or (at
# your option) any later version.
# 
# Gtk2-Ex-ComboBoxBits is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
# 
# You should have received a copy of the GNU General Public License along
# with Gtk2-Ex-ComboBoxBits.  If not, see <http://www.gnu.org/licenses/>.


# Build-Depends could have the "maximum_tests" modules from META.yml
# for more tests, but they're optional author tests really and would
# just make the build tools drag in more stuff.

Source: libgtk2-ex-comboboxbits-perl
Section: perl
Priority: optional
Build-Depends: cdbs, debhelper (>= 5)
Maintainer: Kevin Ryde <user42@zip.com.au>
Standards-Version: 3.9.2
Homepage: http://user42.tuxfamily.org/gtk2-ex-comboboxbits/index.html
Bugs: mailto:user42@zip.com.au

Package: libgtk2-ex-comboboxbits-perl
Architecture: all
Depends: perl (>= 5.8.0), libglib-perl, libgtk2-perl (>= 1:1.220), libglib-ex-objectbits-perl (>= 12), libglib-ex-connectproperties-perl (>= 9), libgtk2-ex-widgetbits-perl (>= 38), ${perl:Depends}, ${misc:Depends}
Description: Miscellaneous Gtk2::CombBox things
 ComboBoxes for enum value, text list, and Pixbuf format types.

=== debian/rules ===
#!/usr/bin/make -f

# Copyright 2010 Kevin Ryde

# This file is part of Gtk2-Ex-ComboBoxBits.
#
# Gtk2-Ex-ComboBoxBits is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 3, or (at your option) any later
# version.
#
# Gtk2-Ex-ComboBoxBits is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.
#
# You should have received a copy of the GNU General Public License along
# with Gtk2-Ex-ComboBoxBits.  If not, see <http://www.gnu.org/licenses/>.

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/perlmodule.mk

DEB_INSTALL_EXAMPLES_libgtk2-ex-comboboxbits-perl = examples/*

=== debian/watch ===
# Web site version watch, for devscripts uscan program.

# Copyright 2010 Kevin Ryde
#
# This file is part of Gtk2-Ex-ComboBoxBits.
#
# Gtk2-Ex-ComboBoxBits is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 3, or (at
# your option) any later version.
#
# Gtk2-Ex-ComboBoxBits is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Gtk2-Ex-ComboBoxBits.  If not, see <http://www.gnu.org/licenses/>.


# Crib notes:
# "man uscan" describes the format.
# test with: uscan --report --verbose --watchfile=debian/watch

version=3
http://user42.tuxfamily.org/gtk2-ex-comboboxbits/index.html \
	.*/Gtk2-Ex-ComboBoxBits-([0-9]+)\.tar\.gz
